import Vue from 'vue'
import VueRouter from 'vue-router'

Vue.use(VueRouter)

const routes = [{
        path: '/',
        name: 'home',
        alias: '主页',
        component: () =>
            import ('@/views/home.vue')
    },
    {
        path: '/hours',
        name: 'hours',
        alias: '我的家',
        component: () =>
            import ('@/views/hours/hours.vue')
    },
    {
        path: '/food',
        name: 'food',
        alias: '菜场',
        component: () =>
            import ('@/views/food/food.vue'),
    },
    {
        path: '/report',
        name: 'report',
        alias: '日报',
        redirect: '/report/list',
        component: () =>
            import ('@/views/report/report.vue'),
        children: [{
                path: 'list',
                name: 'list',
                alias: "列表",
                component: () =>
                    import ('@/views/report/reportList/reportList.vue')
            },
            {
                path: 'detail/:id(\\d+)?',
                name: 'detail',
                alias: "详情与修改",
                component: () =>
                    import ('@/views/report/reportDetail/reportDetail.vue')
            }
        ]
    },
    {
        path: '/tree',
        name: 'tree',
        alias: '动态加载树',
        component: () =>
            import ('@/views/tree/tree.vue')
    }
]

const router = new VueRouter({
    mode: 'history',
    base: process.env.BASE_URL,
    routes
})

export default router